MTILEHDR(1)

NAME
mTileHdr - Create a set of tiled images or header templates from a FITS file or header

SYNOPSIS
mTileHdr [-d] [-s statusfile] orig.hdr new.hdr nx ny ix iy [xpad [ypad]]

DESCRIPTION
Takes a header template file and creates another which represents one of a regular set of tiles covering the original. The user specifies the tile gridding and which tile is desired.

Only the NAXIS and CRVAL keyword lines are changed (pixel size and reference point location); all other keyword values will be inherited from the input header.

OPTIONS

-d  Turns on debugging.

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

orig.hdr
    ASCII header template from which to derive tiled headers

new.hdr
    Path to output header

nx  Number of tiles in the x-direction

ny  Number of tiles in the y-direction

ix  Integer identifying the x location of the output tile on the grid (counting from 0)

iy  Integer identifying the y location of the output tile on the grid (counting from 0)

xpad
    Number of pixels to overlap tiles in the x direction (optional; default is 0)

ypad
    Number of pixels to overlap tiles in the y direction (optional; default is 0)

RESULT
[struct stat="OK", naxis1=xsize, naxis1=ysize, crpix1=xref, crpix2=yref]

Where xsize and ysize are the x and y dimensions of the image described by the output header, and crpix1 and crpix2 are the new offset from the original reference pixel on the sky.

MESSAGES

OK  [struct stat="OK", naxis1=xsize, naxis2=ysize, crpix1=xref, crpix2=yref]

ERROR
    Cannot open status file: statusfile

ERROR
    (nx,ny) have to be positive integers and (ix,iy) have to be in the range (0..nx-1, 0..ny-1)

ERROR
    Cannot open output template new.hdr

ERROR
    Bad template:orig.hdr

ERROR
    Bad template:new.hdr

ERROR
    Output wcsinit() failed.

EXAMPLES

template.hdr is 850x850 pixels, and we want to generate the center tile out of 9 (3 by 3):

$ mTileHdr template.hdr tile_1_1.hdr 3 3 1 1
    [struct stat="OK", naxis1=283, naxis2=283, crpix1=-283, crpix2=-283]

tile_1_1.hdr has the same reference location and pixel scale as the input header, but a new pixel offset (CRPIX) and size (NAXIS).

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.